Subject: What are the ways CRLF files can make it into the repository?

From: Joshua Jensen <[email-masked]>
Date: Fri, 21 Sep 2012 13:02:11 -0600

Hi.

We've been running with core.autocrlf = input (some people with 
core.autocrlf = true).  However, there are some text files in the 
repository that are CRLF, and I am at a loss to explain how they go here.

We understand that if core.autocrlf=false, this could happen.  While I 
admit there is a remote possibility this did occur, I'm not convinced 
our people were smart enough with Git 1.5 years ago to make this 
configuration change.

There are no .gitattributes settings for these source code files.

Are there other ways CRLF files could sneak into the repository?

Thanks.

Josh